Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.error
Enum Error.Severity

    java.lang.Object
      java.lang.Enum<Error.Severity>
          rdlc.error.Error.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Error.Severity>

Enclosing class:
  Error

    public static enum Error.Severity

extends java.lang.Enum<Error.Severity>

Iterator of the possible error severities.

Version:
  $Revision: 1.13 $
Author:
  Greg Gibeling

Enum Constant Summary
`Error`
`Fatal`
`Info`
`Warning`

Method Summary
`static Error.Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Error.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Fatal

    public static final Error.Severity Fatal

### Error

    public static final Error.Severity Error

### Warning

    public static final Error.Severity Warning

### Info

    public static final Error.Severity Info

Method Detail

### values

    public static final Error.Severity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Error.Severity c : Error.Severity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Error.Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD